Add a domain
POST/v1/domains
Connects a domain you own. The response lists the DNS records to publish.
Parameters
- namestringRequired
- The domain, for example getacme.co.
- clientstring
- The client workspace it belongs to.
Connects a domain you own. The response lists the DNS records to publish.
curl -X POST https://api.mailyard.com/v1/domains \ -H "Authorization: Bearer $MAILYARD_KEY" \ -d name='getacme.co'
{
"data": {
"id": "dom_3h8w2",
"name": "getacme.co",
"records": [ { "type": "TXT", "host": "@", "value": "v=spf1 …" } ]
}
}